org.eclipse.rdf4j.query.algebra.evaluation.function

## Interface Function

- All Known Subinterfaces:
    TransientFunction
  All Known Implementing Classes:
    Abs, Add, And, AskFunction, BinaryFunction, BooleanCast, BooleanCast, Boundary, Buffer, BuildString, BuildURI, ByteCast, CanInvoke, Cast, CastFunction, Ceil, Concat, Concat, Contains, ConvertSpinRDFToString, ConvexHull, CurrentTimeMillis, DateFormat, DateTimeCast, DateTimeCast, Day, DecimalCast, DecimalCast, DecimalFormat, DecodeURL, Difference, Distance, Divide, DoubleCast, DoubleCast, EhContains, EhCoveredBy, EhCovers, EhDisjoint, EhEquals, EhInside, EhMeet, EhOverlap, EncodeForUri, EncodeURL, Envelope, EqualTo, EvalFunction, FloatCast, FloatCast, Floor, GenerateUUID, GreaterThan, GreaterThanOrEqualTo, HasAllObjects, HashFunction, Hours, IndexOf, IntCast, IntegerCast, IntegerCast, IntegerCastFunction, Intersection, Invoke, IsValidURI, LastIndexOf, LessThan, LessThanOrEqualTo, Localname, LongCast, LowerCase, LowerCase, LowerTitleCase, MD5, Minutes, Mod, Month, Multiply, Name, NegativeIntegerCast, NonNegativeIntegerCast, NonPositiveIntegerCast, Not, NotEqualTo, Now, ObjectFunction, Or, ParseDate, PositiveIntegerCast, Rand, Random, RCC8DC, RCC8EC, RCC8EQ, RCC8NTPP, RCC8NTPPI, RCC8PO, RCC8TPP, RCC8TPPI, Relate, Replace, ReplaceAll, Round, Seconds, SfContains, SfCrosses, SfDisjoint, SfEquals, SfIntersects, SfOverlaps, SfTouches, SfWithin, SHA1, SHA256, SHA384, SHA512, ShortCast, SpinFunction, SpinxFunction, SRID, StrAfter, StrBefore, StrDt, StrEnds, StringCast, StringCast, StrLang, StrLen, StrStarts, STRUUID, Substring, Subtract, SymmetricDifference, TimeMillis, Timezone, TitleCase, Trim, Tz, UnaryFunction, UnCamelCase, Union, UnsignedByteCast, UnsignedIntCast, UnsignedLongCast, UnsignedShortCast, UpperCase, UpperCase, UUID, Year

      public interface Function

  Author:
    Arjohn Kampman

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Value` | `evaluate(ValueFactory valueFactory, Value... args)`
    `String` | `getURI()`

- - ### Method Detail

    - #### getURI

          String getURI()

    - #### evaluate

          Value evaluate(ValueFactory valueFactory,
                         Value... args)
                  throws ValueExprEvaluationException

      Throws:
        `ValueExprEvaluationException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.